# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

# NOTE! THIS FILE IS AUTOMATICALLY GENERATED AND WILL BE
# OVERWRITTEN WHEN PREPARING PACKAGES.
#
# IF YOU WANT TO MODIFY IT, YOU SHOULD MODIFY THE TEMPLATE
# `get_provider_info_TEMPLATE.py.jinja2` IN the `provider_packages` DIRECTORY


def get_provider_info():
    return {
        "package-name": "apache-airflow-providers-qubole",
        "name": "Qubole",
        "description": "`Qubole <https://www.qubole.com/>`__\n",
        "suspended": True,
        "removed": True,
        "versions": [
            "3.4.3",
            "3.4.2",
            "3.4.1",
            "3.4.0",
            "3.3.1",
            "3.3.0",
            "3.2.1",
            "3.2.0",
            "3.1.0",
            "3.0.0",
            "2.1.3",
            "2.1.2",
            "2.1.1",
            "2.1.0",
            "2.0.1",
            "2.0.0",
            "1.0.2",
            "1.0.1",
            "1.0.0",
        ],
        "dependencies": [
            "apache-airflow>=2.5.0",
            "apache-airflow-providers-common-sql>=1.3.1",
            "qds-sdk>=1.10.4",
        ],
        "integrations": [
            {
                "integration-name": "Qubole",
                "external-doc-url": "https://docs.qubole.com/en/latest/",
                "how-to-guide": [
                    "/docs/apache-airflow-providers-qubole/operators/qubole.rst",
                    "/docs/apache-airflow-providers-qubole/operators/qubole_check.rst",
                ],
                "logo": "/integration-logos/qubole/Qubole.png",
                "tags": ["service"],
            }
        ],
        "operators": [
            {
                "integration-name": "Qubole",
                "python-modules": [
                    "airflow.providers.qubole.operators.qubole",
                    "airflow.providers.qubole.operators.qubole_check",
                ],
            }
        ],
        "sensors": [
            {"integration-name": "Qubole", "python-modules": ["airflow.providers.qubole.sensors.qubole"]}
        ],
        "hooks": [
            {
                "integration-name": "Qubole",
                "python-modules": [
                    "airflow.providers.qubole.hooks.qubole",
                    "airflow.providers.qubole.hooks.qubole_check",
                ],
            }
        ],
        "connection-types": [
            {
                "hook-class-name": "airflow.providers.qubole.hooks.qubole.QuboleHook",
                "connection-type": "qubole",
            }
        ],
        "extra-links": ["airflow.providers.qubole.operators.qubole.QDSLink"],
    }
